## sra-sdk 2.1.7a

=== Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


#-------------------------------------------------------------------------------
# environment
#
TOP ?= $(CURDIR)
include $(TOP)/build/Makefile.shell


#-------------------------------------------------------------------------------
# default
#
SUBDIRS = \
	libs \
	tools

default: $(SUBDIRS)

test: $(SUBDIRS)

$(SUBDIRS) test:
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS) test

#-------------------------------------------------------------------------------
# static vs. dynamic
#
static:
	@ touch "$(CURDIR)/build/STATIC"

dynamic:
	@ rm -f "$(CURDIR)/build/STATIC"

.PHONY: static dynamic

#-------------------------------------------------------------------------------
# all
#
SUBDIRS_ALL = $(addsuffix _all,$(SUBDIRS))

all: $(SUBDIRS_ALL)

$(SUBDIRS_ALL):
	@ $(MAKE) -C $(subst _all,,$@) all

.PHONY: all $(SUBDIRS_ALL)

#-------------------------------------------------------------------------------
# std
#
SUBDIRS_STD = $(addsuffix _std,$(SUBDIRS))

std: $(SUBDIRS_STD)

$(SUBDIRS_STD):
	@ $(MAKE) -C $(subst _std,,$@) std

.PHONY: std $(SUBDIRS_STD)

#-------------------------------------------------------------------------------
# clean
#
SUBDIRS_CLEAN = $(addsuffix _clean,$(SUBDIRS_ALL))

clean: $(SUBDIRS_CLEAN)

$(SUBDIRS_CLEAN):
	@ $(MAKE) -C $(subst _all_clean,,$@) clean

.PHONY: clean $(SUBDIRS_CLEAN)


#-------------------------------------------------------------------------------
# pass-through targets
#
COMPILERS = GCC ICC VC++
ARCHITECTURES = i386 x86_64
CONFIG = debug profile release
PASSTHRUS = \
	out bindir \
	CC $(COMPILERS) \
	$(ARCHITECTURES) \
	$(CONFIG)

$(PASSTHRUS):
	@ $(MAKE) TOP=$(CURDIR) -f build/Makefile.env $@

.PHONY: $(PASSTHRUS)


#-------------------------------------------------------------------------------
# configuration help
#
help configure:
	@ echo "Before initial build, run 'make OUTDIR=<dir> out' from"
	@ echo "the project root to set the output directory of your builds."
	@ echo
	@ echo "To select a compiler, run 'make <comp>' where"
	@ echo "comp = { "$(COMPILERS)" }."
	@ echo
	@ echo "For hosts that support cross-compilation ( only Macintosh today ),"
	@ echo "you can run 'make <arch>' where arch = { "$(ARCHITECTURES)" }."
	@ echo
	@ echo "To set a build configuration, run 'make <config>' where"
	@ echo "config = { "$(CONFIG)" }."
	@ echo

.PHONY: help configure

=== libs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


TOP ?= $(shell ../build/abspath.sh ..)
MODULE = libs

include $(TOP)/build/Makefile.shell

#-------------------------------------------------------------------------------
# default
#
SUBDIRS = \
	ext \
	klib \
	kproc \
	kfs \
	kxml \
	kfg \
	kapp \
	kdb \
	vdb \
	vxf \
	search \
	sra \
	sraxf \
	align \
	axf

default: $(SUBDIRS)

$(SUBDIRS):
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS)

#-------------------------------------------------------------------------------
# all
#
SUBDIRS_ALL = $(addsuffix _all,$(SUBDIRS))

all: $(SUBDIRS_ALL)

$(SUBDIRS_ALL):
	@ $(MAKE) -C $(subst _all,,$@) all

.PHONY: all $(SUBDIRS_ALL)

#-------------------------------------------------------------------------------
# std
#
SUBDIRS_STD = $(addsuffix _std,$(SUBDIRS))

std: $(SUBDIRS_STD)

$(SUBDIRS_STD):
	@ $(MAKE) -C $(subst _std,,$@) std

.PHONY: std $(SUBDIRS_STD)

#-------------------------------------------------------------------------------
# clean
#
SUBDIRS_CLEAN = $(addsuffix _clean,$(SUBDIRS))

clean: $(SUBDIRS_CLEAN)

$(SUBDIRS_CLEAN):
	@ $(MAKE) -C $(subst _clean,,$@) clean

.PHONY: clean $(SUBDIRS_CLEAN)


#-------------------------------------------------------------------------------
# tag
#
SUBDIRS_TAG = $(addsuffix _tag,$(SUBDIRS))

tag: $(SUBDIRS_TAG)

$(SUBDIRS_TAG):
	@ $(MAKE) -C $(subst _tag,,$@) tag

.PHONY: tag $(SUBDIRS_TAG)


#-------------------------------------------------------------------------------
# pass-through
#
out debug profile release GCC ICC VC++:
	@ $(MAKE) TOP=$(TOP) -f $(TOP)/build/Makefile.env $@

.PHONY: out debug profile release GCC ICC VC++

=== tools/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


TOP ?= $(shell ../build/abspath.sh ..)
MODULE = tools

include $(TOP)/build/Makefile.shell


#-------------------------------------------------------------------------------
# default
#
SUBDIRS = \
	util \
	kar \
	vdb-dump \
	sra-dump \
	sra-load \
	sam-dump \
	sra-stat \
	vdb-copy \
	sra-dbcc \
	vdb-config \
	align-info

default: $(SUBDIRS)

$(SUBDIRS):
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS)

#-------------------------------------------------------------------------------
# all
#
SUBDIRS_ALL = $(addsuffix _all,$(SUBDIRS))

all: $(SUBDIRS_ALL)

$(SUBDIRS_ALL):
	@ $(MAKE) -C $(subst _all,,$@) all

.PHONY: all $(SUBDIRS_ALL)

#-------------------------------------------------------------------------------
# std
#
SUBDIRS_STD = $(addsuffix _std,$(SUBDIRS))

std: $(SUBDIRS_STD)

$(SUBDIRS_STD):
	@ $(MAKE) -C $(subst _std,,$@) std

.PHONY: std $(SUBDIRS_STD)

#-------------------------------------------------------------------------------
# clean
#
SUBDIRS_CLEAN = $(addsuffix _clean,$(SUBDIRS))

clean: $(SUBDIRS_CLEAN)

$(SUBDIRS_CLEAN):
	@ $(MAKE) -C $(subst _clean,,$@) clean

.PHONY: clean $(SUBDIRS_CLEAN)


#-------------------------------------------------------------------------------
# tag
#
SUBDIRS_TAG = $(addsuffix _tag,$(SUBDIRS))

tag: $(SUBDIRS_TAG)

$(SUBDIRS_TAG):
	@ $(MAKE) -C $(subst _tag,,$@) tag

.PHONY: tag $(SUBDIRS_TAG)


#-------------------------------------------------------------------------------
# pass-through
#
out debug profile release GCC ICC VC++:
	@ $(MAKE) TOP=$(TOP) -f $(TOP)/build/Makefile.env $@

.PHONY: out debug profile release GCC ICC VC++

=== libs/align/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/align

INT_LIBS = \
	libncbi-bam \
	libalign-writer

EXT_LIBS = \
	libalign-access \
	libalign-reader

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean


#-------------------------------------------------------------------------------
# libncbi-bam
#
$(ILIBDIR)/libncbi-bam: $(addprefix $(ILIBDIR)/libncbi-bam.,$(ILIBEXT))

BAM_SRC = \
	bam

BAM_OBJ = \
	$(addsuffix .$(LOBX),$(BAM_SRC))

BAM_LIB = \
	-lkfs \
	-lklib \
	-lz

$(ILIBDIR)/libncbi-bam.$(SHLX): $(BAM_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(BAM_LIB)

$(ILIBDIR)/libncbi-bam.$(LIBX): $(BAM_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(BAM_LIB)


#-------------------------------------------------------------------------------
# align-access
#
$(LIBDIR)/libalign-access: $(addprefix $(LIBDIR)/libalign-access.,$(LIBEXT))

ALIGN_ACCESS_SRC = \
	align-access

ALIGN_ACCESS_OBJ = \
	$(addsuffix .$(LOBX),$(ALIGN_ACCESS_SRC))

ALIGN_ACCESS_LIB = \
	-sncbi-bam \
	-lkfs \
	-lklib \
	-lz

$(LIBDIR)/libalign-access.$(SHLX): $(ALIGN_ACCESS_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(ALIGN_ACCESS_LIB)

$(LIBDIR)/libalign-access.$(LIBX): $(ALIGN_ACCESS_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(ALIGN_ACCESS_LIB)


#-------------------------------------------------------------------------------
# align-reader
#
$(LIBDIR)/libalign-reader: $(addprefix $(LIBDIR)/libalign-reader.,$(LIBEXT))

ALIGN_READER_SRC = \
	reader-cmn \
	reader-refseq \
	refseq-mgr

ALIGN_READER_OBJ = \
	$(addsuffix .$(LOBX),$(ALIGN_READER_SRC))

ALIGN_READER_LIB = \
	-lvdb \
	-lkdb \
	-lkfg \
	-lkfs \
	-lklib \
	-lz

$(LIBDIR)/libalign-reader.$(SHLX): $(ALIGN_READER_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(ALIGN_READER_LIB)

$(LIBDIR)/libalign-reader.$(LIBX): $(ALIGN_READER_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(ALIGN_READER_LIB)


#-------------------------------------------------------------------------------
# align-writer
#
$(ILIBDIR)/libalign-writer: $(addprefix $(ILIBDIR)/libalign-writer.,$(ILIBEXT))

ALIGN_WRITER_SRC = \
	reader-cmn \
	reader-refseq \
	refseq-mgr \
	writer-cmn \
	writer-refseq \
	writer-alignment \
	writer-sequence \
	writer-ref \
	writer-reference

ALIGN_WRITER_OBJ = \
	$(addsuffix .$(LOBX),$(ALIGN_WRITER_SRC))

ALIGN_WRITER_LIB = \
	-lwvdb \
	-lwkdb \
	-lkfg \
	-lkfs \
	-lklib \
	-lz

$(ILIBDIR)/libalign-writer.$(SHLX): $(ALIGN_WRITER_OBJ)
	$(LD) --dlib -o $@ $^ $(ALIGN_WRITER_LIB)

$(ILIBDIR)/libalign-writer.$(LIBX): $(ALIGN_WRITER_OBJ)
	$(LD) --slib -o $@ $^ $(ALIGN_WRITER_LIB)

=== libs/axf/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(abspath ../..)
MODULE = libs/axf

MOD_LIBS = \
	libaxf

WMOD_LIBS = \
	libwaxf

ALL_LIBS = \
	$(MOD_LIBS) \
	$(WMOD_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
vers-includes: $(addsuffix .vers.h,$(ALL_LIBS))

all std: makedirs vers-includes
	@ $(MAKE_CMD) $(TARGDIR)/std

$(ALL_LIBS): makedirs vers-includes
	@ $(MAKE_CMD) $(TARGDIR)/$@

.PHONY: vers-includes all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(TARGDIR)/,$(ALL_LIBS))

.PHONY: $(TARGDIR)/all $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# alignment transform library
#
$(TARGDIR)/libaxf: $(addprefix $(TARGDIR)/libaxf.,$(MODEXT))

$(TARGDIR)/libaxf.$(SHLX): $(MODDIR)/libaxf.$(SHLX)

AXF_SRC = \
	ref-tbl-sub-select \
	ref-restore-read \
	align-restore-read \
	raw-restore-read \
	raw-restore-qual \
	seq-restore-read \
	cigar \
	project_read_from_sequence \
	not-my-row \
	template-len \
	get-sam-flags \
	align-ref-pos \
	align-ref-name \
	align-ref-seq-id \
	align-local_ref_id \
	align-local_ref_start \
	generate-mismatch-qual \
	mismatch-restore-qual \
	ref-preserve_qual

AXF_OBJ = \
	$(addsuffix .$(LOBX),$(AXF_SRC))

AXF_LIB = \
	-dvdb \
	-dkdb \
	-dklib \
	-dalign-reader \
	-dm \
	-dz

$(MODDIR)/libaxf.$(SHLX): $(AXF_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(AXF_LIB)

$(TARGDIR)/libaxf.$(LIBX): $(ILIBDIR)/libaxf.$(LIBX)

$(ILIBDIR)/libaxf.$(LIBX): $(AXF_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(AXF_LIB)


#-------------------------------------------------------------------------------
# alignment transform update library
#
$(TARGDIR)/libwaxf: $(addprefix $(TARGDIR)/libwaxf.,$(MODEXT))

$(TARGDIR)/libwaxf.$(SHLX): $(WMODDIR)/libwaxf.$(SHLX)

WAXF_SRC = \
	$(AXF_SRC) \
	refseq-stats

WAXF_OBJ = \
	$(addsuffix .$(LOBX),$(WAXF_SRC))

WAXF_LIB = \
	-dwvdb \
	-dwkdb \
	-dklib \
	-dalign-writer \
	-dm \
	-dz

$(WMODDIR)/libwaxf.$(SHLX): $(WAXF_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(WAXF_LIB)

$(TARGDIR)/libwaxf.$(LIBX): $(ILIBDIR)/libwaxf.$(LIBX)

$(ILIBDIR)/libwaxf.$(LIBX): $(WAXF_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(WAXF_LIB)

=== libs/ext/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/ext

include $(TOP)/build/Makefile.shell

#-------------------------------------------------------------------------------
# default
#
SUBDIRS = \
	zlib \
	bzip2

default: $(SUBDIRS)

$(SUBDIRS):
	@ $(MAKE) -C $@

.PHONY: default $(SUBDIRS)

#-------------------------------------------------------------------------------
# all
#
SUBDIRS_ALL = $(addsuffix _all,$(SUBDIRS))

all: $(SUBDIRS_ALL)

$(SUBDIRS_ALL):
	@ $(MAKE) -C $(subst _all,,$@) all

.PHONY: all $(SUBDIRS_ALL)

#-------------------------------------------------------------------------------
# std
#
SUBDIRS_STD = $(addsuffix _std,$(SUBDIRS))

std: $(SUBDIRS_STD)

$(SUBDIRS_STD):
	@ $(MAKE) -C $(subst _std,,$@) std

.PHONY: std $(SUBDIRS_STD)

#-------------------------------------------------------------------------------
# clean
#
SUBDIRS_CLEAN = $(addsuffix _clean,$(SUBDIRS))

clean: $(SUBDIRS_CLEAN)

$(SUBDIRS_CLEAN):
	@ $(MAKE) -C $(subst _clean,,$@) clean

.PHONY: clean $(SUBDIRS_CLEAN)


#-------------------------------------------------------------------------------
# tag
#
SUBDIRS_TAG = $(addsuffix _tag,$(SUBDIRS))

tag: $(SUBDIRS_TAG)

$(SUBDIRS_TAG):
	@ $(MAKE) -C $(subst _tag,,$@) tag

.PHONY: tag $(SUBDIRS_TAG)


#-------------------------------------------------------------------------------
# pass-through
#
out debug profile release GCC ICC VC++:
	@ $(MAKE) TOP=$(TOP) -f $(TOP)/build/Makefile.env $@

.PHONY: out debug profile release GCC ICC VC++

=== libs/kapp/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/kapp

include $(TOP)/build/Makefile.env

INT_LIBS = \
	libkapp

EXT_LIBS = \
    libload

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))


#-------------------------------------------------------------------------------
# OS specific application support
#
$(ILIBDIR)/libkapp: $(addprefix $(ILIBDIR)/libkapp.,$(LIBX))

KAPP_SRC = \
	main \
	args \
	sysmain

KAPP_OBJ = \
	$(addsuffix .$(OBJX),$(KAPP_SRC))

KAPP_LIB = \
	-dklib

$(ILIBDIR)/libkapp.$(LIBX): $(KAPP_OBJ)
	$(LD) --slib -o $@ $^ $(KAPP_LIB)

libkapp_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkapp $(KAPP_OBJ)


#-------------------------------------------------------------------------------
# loaders common libarary
#
$(LIBDIR)/libload: $(addprefix $(LIBDIR)/libload.,$(LIBX))

LOADLIB_SRC = \
	progressbar \
	loader-file \
	loader-meta \
	log-xml

LOADLIB_OBJ = \
	$(addsuffix .$(LOBX),$(LOADLIB_SRC))

LOADLIB_LIB = \
	-dkfs \
	-dklib

$(LIBDIR)/libload.$(LIBX): $(LOADLIB_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(LOADLIB_LIB)

libload_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libload $(LOADLIB_OBJ)

=== libs/kdb/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/kdb

INT_LIBS = \

EXT_LIBS = \
	libkdb \
	libwkdb

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
vers-includes: $(addsuffix .vers.h,$(ALL_LIBS))

all std: makedirs vers-includes
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs vers-includes
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs vers-includes
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS) $(ALL_DEFS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))

#-------------------------------------------------------------------------------
# kdb
#
$(LIBDIR)/libkdb: $(addprefix $(LIBDIR)/libkdb.,$(LIBEXT))

KDB_CMN = \
	btree \
	dbmgr-cmn \
#	database-cmn

KDB_SRC = \
	$(KDB_CMN) \
	kdb \
	dbmgr \
	dbcc-cmn \
	database \
	database-cc \
	table \
	table-cc \
	column \
	column-cc \
	coldata \
	colidx \
	colidx0 \
	colidx1 \
	colidx2 \
	idxblk \
	meta \
	index \
	idstats \
	trieidx-v1 \
	trieval-v1 \
	ptrieval-v1 \
	trieidx-v2 \
	trieval-v2 \
	ptrieval-v2 \
	u64idx-v3

KDB_OBJ = \
	$(addsuffix .$(LOBX),$(KDB_SRC))

KDB_LIB = \
	-dkfs \
	-dklib

$(LIBDIR)/libkdb.$(SHLX): $(KDB_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(KDB_LIB)

$(LIBDIR)/libkdb.$(LIBX): $(KDB_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(KDB_LIB)

libkdb_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkdb $(KDB_OBJ)


#-------------------------------------------------------------------------------
# wkdb
#
$(LIBDIR)/libwkdb: $(addprefix $(LIBDIR)/libwkdb.,$(LIBEXT))

WKDB_SRC = \
	$(KDB_CMN) \
	wkdb \
	wdbmgr \
	wdatabase \
	wtable \
	wcolumn \
	wcoldata \
	wcolidx \
	wcolidx0 \
	wcolidx1 \
	wcolidx2 \
	idxblk \
	widxblk \
	wmeta \
	windex \
	wtrieidx-v1 \
	wtrieidx-v2 \
	wu64idx-v3

WKDB_OBJ = \
	$(addsuffix .$(LOBX),$(WKDB_SRC))

WKDB_LIB = \
	-dkfs \
	-dklib

$(LIBDIR)/libwkdb.$(SHLX): $(WKDB_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(WKDB_LIB)

$(LIBDIR)/libwkdb.$(LIBX): $(WKDB_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(WKDB_LIB)

libwkdb_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libwkdb $(WKDB_OBJ)

=== libs/kfg/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: all

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/kfg

INT_LIBS = \

EXT_LIBS = \
	libkfg

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))

#-------------------------------------------------------------------------------
# kfg
#
$(LIBDIR)/libkfg: $(addprefix $(LIBDIR)/libkfg.,$(LIBEXT))

KFG_SRC = \
	config

KFG_OBJ = \
	$(addsuffix .$(LOBX),$(KFG_SRC))

KFG_LIB = \
	-dkfs \
	-dklib

$(LIBDIR)/libkfg.$(SHLX): $(KFG_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(KFG_LIB)

$(LIBDIR)/libkfg.$(LIBX): $(KFG_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(KFG_LIB)

libkfg_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkfg $(KFG_OBJ)

=== libs/kfs/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: all

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/kfs

INT_LIBS = \

EXT_LIBS = \
	libkfs

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))

#-------------------------------------------------------------------------------
# kfs
#
$(LIBDIR)/libkfs: $(addprefix $(LIBDIR)/libkfs.,$(LIBEXT))

KFS_SRC = \
	path \
	syspath \
	directory \
	arrayfile \
	file \
	sysdir \
	sysfile \
	mmap \
	sysmmap \
	sysdll \
	gzip \
	bzip \
	md5 \
	crc32 \
	arc \
	toc \
	tocentry \
	tocdir \
	tocfile \
	sra \
	tar \
	teefile \
	buffile \
	buffile-write \
	subfile \
	nullfile \
	countfile \
	dir_test \
	pagefile \
	pmem


KFS_OBJ = \
	$(addsuffix .$(LOBX),$(KFS_SRC))

KFS_LIB = \
	-dklib \
	-ddl \
	-dz \
	-dbz2

$(LIBDIR)/libkfs.$(SHLX): $(KFS_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(KFS_LIB)

$(LIBDIR)/libkfs.$(LIBX): $(KFS_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(KFS_LIB)

libkfs_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkfs $(KFS_OBJ)


#-------------------------------------------------------------------------------
# kff
#
ifeq (linux,$(OS))
$(ILIBDIR)/libkff: $(addprefix $(ILIBDIR)/libkff.,$(ILIBEXT))
else
$(ILIBDIR)/libkff:
	@ echo "not building libkff on "$(OS)
endif

KFF_SRC = \
	fileformat \
	ffext \
	ffkey

ifneq (win,$(OS))
	KFF_SRC += ffmagic
endif

KFF_OBJ = \
	$(addsuffix .$(LOBX),$(KFF_SRC))

KFF_LIB = \
	-dklib 

ifneq (win,$(OS))
	KFF_LIB += -lmagic
endif

$(ILIBDIR)/libkff.$(SHLX): $(KFF_OBJ)
	$(LD) --dlib -o $@ $^ $(KFF_LIB)

$(ILIBDIR)/libkff.$(LIBX): $(KFF_OBJ)
	$(LD) --slib -o $@ $^ $(KFF_LIB)

libkff_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkff $(KFF_OBJ)

=== libs/klib/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: all

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/klib

INT_LIBS = \

EXT_LIBS = \
	libklib

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
vers-includes: $(addsuffix .vers.h,$(EXT_LIBS))

all std: makedirs vers-includes
	@ $(MAKE_CMD) $(TARGDIR)/std

$(INT_LIBS): makedirs vers-includes
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs vers-includes
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: vers-includes all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))

#-------------------------------------------------------------------------------
# klib
#
$(LIBDIR)/libklib: $(addprefix $(LIBDIR)/libklib.,$(LIBEXT))

KLIB_SRC = \
	text \
	utf8 \
	iso8859 \
	iso8859-1 \
	cp1252 \
	token \
	symtab \
	container \
	vector \
	namelist \
	vector_namelist \
	trie \
	pbstree \
	pbstree-impl.nopt \
	pbstree-impl.swap.nopt \
	bstpersist.nopt \
	ptrie.nopt \
	ptpersist.nopt \
	crc32 \
	md5 \
	SHA-32bit \
	SHA-64bit \
	qsort \
	bsearch \
	pack \
	unpack \
	vlen-encode \
	data-buffer \
	refcount \
	printf \
	status-rc-strings \
	status-rc \
	syserrcode \
	syswriter \
	out \
	status \
	log \
	writer \
	syslog \
	systime \
	rc-tbl \
	rc-idx-tbl

ifeq (win,$(OS))
	KLIB_SRC += sysalloc
endif

ifeq (dbg,$(BUILD))
	KLIB_SRC += debug
endif

KLIB_OBJ = \
	$(addsuffix .$(LOBX),$(KLIB_SRC))

KLIB_LIB = \
	-lm

$(LIBDIR)/libklib.$(SHLX): $(KLIB_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(KLIB_LIB)

$(LIBDIR)/libklib.$(LIBX): $(KLIB_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(KLIB_LIB)

libklib_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libklib $(KLIB_OBJ)

=== libs/kproc/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(shell ../../build/abspath.sh ../..)
MODULE = libs/kproc

EXT_LIBS = \
	libkproc \
	libksproc \
	libkq

ALL_LIBS = \
	$(INT_LIBS) \
	$(EXT_LIBS)

include $(TOP)/build/Makefile.env

#-------------------------------------------------------------------------------
# outer targets
#
ifeq (win,$(OS))
all std:
	@ true
else
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/std
endif

$(INT_LIBS): makedirs
	@ $(MAKE_CMD) $(ILIBDIR)/$@

$(EXT_LIBS): makedirs
	@ $(MAKE_CMD) $(LIBDIR)/$@

.PHONY: all std $(ALL_LIBS)

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(ILIBDIR)/,$(INT_LIBS)) \
	$(addprefix $(LIBDIR)/,$(EXT_LIBS))

.PHONY: $(TARGDIR)/std

#-------------------------------------------------------------------------------
# clean
#
clean: stdclean

.PHONY: clean

#-------------------------------------------------------------------------------
# tag
#
tag: \
	$(addsuffix _tag,$(ALL_LIBS))

.PHONY: tag $(addsuffix _tag,$(ALL_LIBS))

#-------------------------------------------------------------------------------
# multi-threaded process support
#
$(LIBDIR)/libkproc: $(addprefix $(LIBDIR)/libkproc.,$(LIBEXT))

PROC_SRC = \
	systimeout \
	syslock \
	syscond \
	sem \
	systhread

PROC_OBJ = \
	$(addsuffix .$(LOBX),$(PROC_SRC))

PROC_LIB = \
	-dpthread

$(LIBDIR)/libkproc.$(SHLX): $(PROC_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(PROC_LIB)

$(LIBDIR)/libkproc.$(LIBX): $(PROC_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(PROC_LIB)

libkproc_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkproc $(PROC_OBJ)


#-------------------------------------------------------------------------------
# single-threaded process support
#
$(LIBDIR)/libksproc: $(addprefix $(LIBDIR)/libksproc.,$(LIBEXT))

SPROC_SRC = \
	sttimeout \
	stlock \
	stcond \
	stsem \
	stthread \
	stbarrier

SPROC_OBJ = \
	$(addsuffix .$(LOBX),$(SPROC_SRC))

$(LIBDIR)/libksproc.$(SHLX): $(SPROC_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^

$(LIBDIR)/libksproc.$(LIBX): $(SPROC_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^

libksproc_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libksproc $(SPROC_OBJ)


#-------------------------------------------------------------------------------
# cross-thread reference queue
#
$(LIBDIR)/libkq: $(addprefix $(LIBDIR)/libkq.,$(LIBEXT))

Q_SRC = \
	queue

Q_OBJ = \
	$(addsuffix .$(LOBX),$(Q_SRC))

Q_LIB = \
	-dklib \
	-dkproc

$(LIBDIR)/libkq.$(SHLX): $(Q_OBJ)
	$(LD) --dlib --vers $(SRCDIR) -o $@ $^ $(Q_LIB)

$(LIBDIR)/libkq.$(LIBX): $(Q_OBJ)
	$(LD) --slib --vers $(SRCDIR) -o $@ $^ $(Q_LIB)

libkq_tag:
	@ $(TOP)/build/tag-module.sh $(MODULE) libkq $(Q_OBJ)

=== debian/changelog ===
sra-sdk (2.1.7a-1ubuntu2) quantal; urgency=low

  * Fowl ball! Missed one package to be marked as amd64/i386 only.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 14 Jun 2012 21:57:08 -0400

sra-sdk (2.1.7a-1ubuntu1) quantal; urgency=low

  * Limit to amd64 and i386 due to some assembly.

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 14 Jun 2012 01:37:16 -0400

sra-sdk (2.1.7a-1) unstable; urgency=low

  [ Charles Plessy ]
  61e22aa New upstream release (Closes: #627861).
  1b09fd5 Normalised debian/copyright file with config-edit.
  a93e7b5 Wildcard characters to match 64 or 32 according to the architecture.
  3d66d80 New upstream source location in debian/watch.
  74e5234 Mark the use of git-buildpackage by debian/gbp.conf.
  0074d68 Simplified Homepage URL in debian/control.
  5cd8039 Use a target that allows dynamic linking (debian/rules).
  9815817 Do not install empty /usr/bin/ncbi directory (debian/rules).
  fb42792 Updated debian/sra-toolkit-libs0.symbols.
  866f773 Install config.kfg and vdb-copy.kfg in /etc/ncbi.

  [ Andreas Tille ]
  9e6e831 Suggest patches for build system to build on non i386&amd64
    architectures as well as BSD and Hurd

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Jan 2012 09:06:14 +0900

=== debian/control ===
Source: sra-sdk
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>, Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8),
 libbz2-dev,
 zlib1g-dev,
 libxml2-dev
Standards-Version: 3.9.2
Homepage: http://trace.ncbi.nlm.nih.gov/Traces/sra/sra.cgi?view=software
Vcs-Git: git://git.debian.org/debian-med/sra-sdk.git
Vcs-Browser: http://git.debian.org/?p=debian-med/sra-sdk.git;a=summary

Package: sra-toolkit
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for the NCBI Sequence Read Archive
 Tools for reading the SRA archive, generally by converting individual runs
 into some commonly used format such as fastq.
 .
 The textual dumpers "sra-dump" and "vdb-dump" are provided in this
 release as an aid in visual inspection. It is likely that their
 actual output formatting will be changed in the near future to a
 stricter, more formalized representation[s]. PLEASE DO NOT RELY UPON
 THE OUTPUT FORMAT SEEN IN THIS RELEASE.
 .
 The "help" information will be improved in near future releases, and
 the tool options will become standardized across the set. More documentation
 will also be provided documentation on the NCBI web site.
 .
 Tool options may change in the next release. Version 1 tool options
 will remain supported wherever possible in order to preserve
 operation of any existing scripts.

Package: sra-toolkit-libs0
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libraries for the SRA Toolkit
 This package provides all libraries and modules for executing the
 NCBI SRA toolkit's programs.  This currently includes:
 .
  libkdb                # physical layer reading library
  libkfg                # configuration library
  libkfs                # file system library
  libklib               # support library
  libkproc              # process synchronization library
  libkq                 # cross-thread queue library
  libksproc             # single-threaded emulation library
  libksrch              # search algorithm library
  libkxfs               # XML to filesystem library
  libkxml               # XML container support library
  libload               # loader tool utility library
  libsra-schema         # weak-linked sra schema
  libsradb              # API for accessing sra
  libsrapath            # weak-link stubs for srapath
  libsrareader          # reader library
  libvdb                # virtual layer reading library
  libwkdb               # physical layer update library
  libwsradb             # update API for SRA
  libwvdb               # virtual layer update library

Package: sra-toolkit-libs-dev
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for the NCBI SRA Toolkit's libraries
 This package provides development support files for the
 NCBI SRA Toolkit's libraries.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

OUTDIR=$(CURDIR)/debian/tmp

override_dh_auto_configure:
	export OUTDIR=$(OUTDIR) ; make OUTDIR=$(OUTDIR) out ; make release dynamic

override_dh_auto_build:
	export LD_LIBRARY_PATH="$$LD_LIBRARY_PATH:$(OUTDIR)/lib"; export OUTDIR=$(OUTDIR) ; make

override_dh_auto_test:

override_dh_prep:
	dh_prep -X debian/tmp

override_dh_install:
	rmdir debian/tmp/bin??/ncbi
	cp libs/kfg/config.linux.kfg `ls -d debian/tmp/lib??/ncbi`config.kfg
	dh_install

# Temporary correction as long as libsra-schema is weak-linked.
override_dh_link:
	mv $(CURDIR)/debian/sra-toolkit-libs-dev/usr/lib/libsra-schema.so $(CURDIR)/debian/sra-toolkit-libs0/usr/lib/
	dh_link

=== debian/watch ===
version=3
http://trace.ncbi.nlm.nih.gov/Traces/sra/sra.cgi?view=software http://ftp-private.ncbi.nlm.nih.gov/sra/sdk/.+?/sra_sdk-(.*).tar.gz
